Bug 861923 - (ghc-hs-bibutils) Review Request: ghc-hs-bibutils - Haskell binding to bibutils
Review Request: ghc-hs-bibutils - Haskell binding to bibutils
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
: 747031 (view as bug list)
Depends On: bibutils
Blocks: 861782
  Show dependency treegraph
 
Reported: 2012-10-01 07:25 EDT by Jens Petersen
Modified: 2012-12-13 15:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-02 22:23:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-10-01 07:25:21 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-hs-bibutils/ghc-hs-bibutils.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-hs-bibutils/ghc-hs-bibutils-4.15-1.fc17.src.rpm
Description: Bibliography conversion library
Fedora Account System Username: petersen

Needed for pandoc to handle bibiographies.
Comment 1 Jens Petersen 2012-10-01 07:28:49 EDT
*** Bug 747031 has been marked as a duplicate of this bug. ***
Comment 2 Jens Petersen 2012-10-19 04:06:28 EDT
Ok bibutils was now imported and built.

Here is a scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4606286
Comment 3 Narasimhan 2012-11-16 12:30:18 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-hs-bibutils-4.15-1.fc17.src.rpm ghc-hs-bibutils-4.15-1.fc17.x86_64.rpm ghc-hs-bibutils-devel-4.15-1.fc17.x86_64.rpm ../ghc-hs-bibutils.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, GPLv2
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
GPLv2
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum hs-bibutils-4.15.tar.gz ghc-hs-bibutils-4.15-1.fc17.src/hs-bibutils-4.15.tar.gz 
e9a75f9922667e6dd16556433d52b32a12061dc1fbe3b2dde5a9c3ea4dc45bc0  hs-bibutils-4.15.tar.gz
e9a75f9922667e6dd16556433d52b32a12061dc1fbe3b2dde5a9c3ea4dc45bc0  ghc-hs-bibutils-4.15-1.fc17.src/hs-bibutils-4.15.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[-]SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Installed the packages. Imported Text.Bibutils into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

APPROVED.
Comment 4 Jens Petersen 2012-11-18 21:59:45 EST
Thank you Lakshmi for reviewing.


New Package SCM Request
=======================
Package Name: ghc-hs-bibutils
Short Description: Haskell binding to bibutils
Owners: petersen
Branches: f18 f17 f16 el6
InitialCC: haskell-sig
Comment 5 Jon Ciesla 2012-11-19 06:08:57 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-11-19 22:09:27 EST
ghc-hs-bibutils-4.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-hs-bibutils-4.15-1.fc17
Comment 7 Fedora Update System 2012-11-19 22:09:39 EST
ghc-hs-bibutils-4.15-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-hs-bibutils-4.15-1.fc16
Comment 8 Fedora Update System 2012-11-19 22:09:50 EST
ghc-hs-bibutils-4.15-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-hs-bibutils-4.15-1.fc18
Comment 9 Fedora Update System 2012-11-19 22:10:01 EST
ghc-hs-bibutils-4.15-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-hs-bibutils-4.15-1.el6
Comment 10 Fedora Update System 2012-11-20 02:00:59 EST
ghc-hs-bibutils-4.15-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-11-26 00:25:43 EST
ghc-hs-bibutils-4.15-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-hs-bibutils-4.15-2.fc17
Comment 12 Fedora Update System 2012-11-26 00:25:55 EST
ghc-hs-bibutils-4.15-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-hs-bibutils-4.15-2.fc16
Comment 13 Fedora Update System 2012-11-26 00:26:06 EST
ghc-hs-bibutils-4.15-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-hs-bibutils-4.15-2.el6
Comment 14 Fedora Update System 2012-11-26 00:26:16 EST
ghc-hs-bibutils-4.15-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-hs-bibutils-4.15-2.fc18
Comment 15 Fedora Update System 2012-12-02 22:23:16 EST
ghc-hs-bibutils-4.15-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2012-12-06 22:26:11 EST
ghc-hs-bibutils-4.15-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2012-12-06 22:27:11 EST
ghc-hs-bibutils-4.15-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 18 Fedora Update System 2012-12-13 15:04:50 EST
ghc-hs-bibutils-4.15-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.